#version 330

// IN / Attributes
 in vec3 vtxPos;
 in vec2 texPos;

// OUT 
out vec2 texCoord;

// Uniforms
uniform vec3 WindowPos;
uniform mat4 MVP;


void main(){
	texCoord = texPos;
	gl_Position =  MVP * vec4( (WindowPos + vtxPos) ,1);
}
